/* ----------------------------------------------------
   TEMPLATE SETTINGS
------------------------------------------------------*/

var backgroundColor = "#576e9c";
var templateVersion = '1.0';


/* ----------------------------------------------------
   VARIABLES
------------------------------------------------------*/

var resetSound = true;


/* ----------------------------------------------------
   EVENT HANDLERS
------------------------------------------------------*/

function OnInit()
{
	viewer.setToolButtonState('button_sound', true);
   	eval('button' + initButton + 'Click(element(initButton));');
}

function OnHideTitles()
{
	viewer.doCommand('objects.SetTextVisible("@/feliratok/text", false)');
	viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo", false)');
}

function OnShowTitles()
{
	switch (initButton) {
		case 'Epuletek' :
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_1", true)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_2", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_3", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_4", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_2", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_3", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_4", false)');
		break;
		
		case 'Dzsami' :
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_1", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_2", true)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_3", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_4", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_2", true)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_3", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_4", false)');
		break;
		
		case 'Minaret' :
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_1", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_2", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_3", true)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_4", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_2", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_3", true)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_4", false)');
		break;
		
		case 'Minaretmetszet' :
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_1", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_2", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_3", false)');
			viewer.doCommand('objects.SetTextVisible("@/feliratok/text/text_4", true)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_2", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_3", false)');
			viewer.doCommand('objects.SetLineVisible("@/feliratok/jelolo/jelolo_4", true)');
		break;
		
		default :
			OnHideTitles();
	}
}

/* ----------------------------------------------------
	ACTIONS
------------------------------------------------------*/

/* --- BUTTONS --- */

function buttonEpuletekClick(sender)
{
	var cameraMatch = initButton == sender.id;
	initButton = sender.id;
	viewer.setControlButtonState(sender.id, true);

	viewer.setToolButtonVisible('button_rotating', true);
	viewer.setToolButtonVisible('button_pan', false);
	viewer.setToolButtonVisible('button_titles', true);
	viewer.setToolButtonVisible('button_sound', true);
	
	if (resetSound) {
		viewer.doCommand('sounds.StopSound("/hangok/zene_belul")'); 
		viewer.doCommand('sounds.PlaySound("/hangok/zene_kivul", true)'); 
		resetSound = false;
	}

	if (cameraMatch) {
		viewer.doCommand('cameras.Match("camera01", 12, true)');
	} else {
		viewer.doCommand('cameras.Switch("camera01")');
	}
	viewer.setInfoBarText(eval(sender.id + '_text'));
}

function buttonDzsamiClick(sender)
{
	var cameraMatch = initButton == sender.id;
	initButton = sender.id;
	viewer.setControlButtonState(sender.id, true);

	viewer.setToolButtonVisible('button_rotating', false);
	viewer.setToolButtonVisible('button_pan', true);
	viewer.setToolButtonVisible('button_titles', true);
	viewer.setToolButtonVisible('button_sound', true);
	
	if (resetSound) {
		viewer.doCommand('sounds.StopSound("/hangok/zene_belul")'); 
		viewer.doCommand('sounds.PlaySound("/hangok/zene_kivul", true)'); 
		resetSound = false;
	}

	if (cameraMatch) {
		viewer.doCommand('cameras.Match("camera02", 12, true)');
	} else {
		viewer.doCommand('cameras.Switch("camera02")');
	}
	viewer.setInfoBarText(eval(sender.id + '_text'));
}

function buttonDzsamibelsoClick(sender)
{
	var cameraMatch = initButton == sender.id;
	initButton = sender.id;
	viewer.setControlButtonState(sender.id, true);

	viewer.setToolButtonVisible('button_rotating', false);
	viewer.setToolButtonVisible('button_pan', false);
	viewer.setToolButtonVisible('button_titles', false);
	viewer.setToolButtonVisible('button_sound', true);
	
	viewer.doCommand('sounds.PlaySound("/hangok/zene_belul", true)'); 
	viewer.doCommand('sounds.StopSound("/hangok/zene_kivul")'); 
	resetSound = true;

	if (cameraMatch) {
		viewer.doCommand('cameras.Match("camera03", 12, true)');
	} else {
		viewer.doCommand('cameras.Switch("camera03")');
	}
	viewer.setInfoBarText(eval(sender.id + '_text'));
}

function buttonMinaretClick(sender)
{
	var cameraMatch = initButton == sender.id;
	initButton = sender.id;
	viewer.setControlButtonState(sender.id, true);

	viewer.setToolButtonVisible('button_rotating', false);
	viewer.setToolButtonVisible('button_pan', true);
	viewer.setToolButtonVisible('button_titles', true);
	viewer.setToolButtonVisible('button_sound', true);
	
	if (resetSound) {
		viewer.doCommand('sounds.StopSound("/hangok/zene_belul")'); 
		viewer.doCommand('sounds.PlaySound("/hangok/zene_kivul", true)'); 
		resetSound = false;
	}

	if (cameraMatch) {
		viewer.doCommand('cameras.Match("camera04", 12, true)');
	} else {
		viewer.doCommand('cameras.Switch("camera04")');
	}
	viewer.setInfoBarText(eval(sender.id + '_text'));
}

function buttonMinaretmetszetClick(sender)
{
	var cameraMatch = initButton == sender.id;
	initButton = sender.id;
	viewer.setControlButtonState(sender.id, true);

	viewer.setToolButtonVisible('button_rotating', false);
	viewer.setToolButtonVisible('button_pan', true);
	viewer.setToolButtonVisible('button_titles', true);
	viewer.setToolButtonVisible('button_sound', true);
	
	if (resetSound) {
		viewer.doCommand('sounds.StopSound("/hangok/zene_belul")'); 
		viewer.doCommand('sounds.PlaySound("/hangok/zene_kivul", true)'); 
		resetSound = false;
	}

	if (cameraMatch) {
		viewer.doCommand('cameras.Match("camera05", 12, true)');
	} else {
		viewer.doCommand('cameras.Switch("camera05")');
	}
	viewer.setInfoBarText(eval(sender.id + '_text'));
}